Module
Contents
Index 🔎︎

# WeekDay Function

Returns the number corresponding to the weekday represented by a serial date number that is generated by the DateSerial or the DateValue function.

## Syntax:

    WeekDay (Number)

## Return value:

Integer

## Parameters:

Number: Integer expression that contains the serial date number that is used to calculate the day of the week (1-7).

The following example determines the day of the week using the WeekDay function when you enter a date.

## Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleWeekDay

    Dim sDay As String

    REM Return and display the day of the week

        Select Case WeekDay( Now )

            Case 1

                sDay="Sunday"

            Case 2

                sDay="Monday"

            Case 3

                sDay="Tuesday"

            Case 4

                sDay="Wednesday"

            Case 5

                sDay="Thursday"

            Case 6

                sDay="Friday"

            Case 7

                sDay="Saturday"

        End Select

        msgbox "" + sDay,64,"Today is"

    End Sub